atis(8)

NAME
atis - AppleTalk information server and name registry for UNIX

SYNTAX
atis [ -d <capflags> ] [ -D <level> ] [ -E ] [ -N ] [ -R ] [ -l <log file> ] [ -k ] [ reload ] [ dump ] [ debug ] [ nodebug ] [ exit ]

DESCRIPTION
atis acts as a name information server and an echo server for a CAP Unix host. In the traditional (IPTalk) version of CAP, you need not run atis if no program to be run will register an NBP entity. Examples of programs which do register NBP entities are: lwsrv and aufs. In the Ethertalk version of CAP, you must run atis in order to discover the network number of your host and keep the default router up to date. In any case, it is recommended that you run atis in the event you do start to add programs which will register names. The echo service, while optional, is highly recommended. (Note: The AppleShare client requires use of the echo service).

The Name Information Service function is to act as a name registry for the particular host atis is running on.

The options atis accepts are:

-d <capflags>
    <capflags> are standard debugging flags for the CAP library. The important one for atis is "n" for NBP. See CAP(3) for a description of the valid flags.

-l <logfile>
    specifies a file that messages should be logged to.

-k  specifies that DDP checksums are not to be used, the field is set to zero.

-D <level>
    defines the debugging level (an integer from 1 to 3). The higher the level is set, the more verbose atis is when logging.

-N  tells atis to run without installing the NIS listener.

-E  says that atis should run without the ECHO listener.

-R  says that atis should run without the RTMP (Routing) listener. RTMP is started only for the Ethertalk configuration. It is used to discover the local network number, and to keep the default router up to date.

atis automatically disassociates itself from the controlling terminal unless debug options are set. To allow some control over the disassocated process, the pid is recorded in /etc/atis.pid and the following commands options have been added.

dump
    sends a SIGQUIT signal to the running atis. This causes the running atis to dump its name table into /usr/tmp/nis.db.

reload
    sends a SIGHUP signal to the running atis. This causes the running atis to reload its name tables from /usr/tmp/nis.db.

exit
    will stop the currently running copy of atis by sending the signal SIGTERM.

debug
    increments the debug level of the running server by sending it a SIGIOT. If no log file was defined, /usr/tmp/atis.run is created and used.

nodebug
    turns off debugging in the running server by sending it a SIGEMT. If /usr/tmp/atis.run was created by debug then the file is closed.

Examples of valid commands are
	atis debug debug debug
to set the debug level to 3 or
	atis dump exit
to dump the database and exit.

FILES
/etc/atis.pid records the pid of the currently running server.
/etc/atalk.local is used to find the closest Ethernet/Appletalk bridge (directory location alterable at compile time).
/usr/tmp/nis.db is used to hold the name data base when dumped
/usr/tmp/atis.run is used for logging if debug is turned on without a log file via "atis debug".

NOTES
The current copy of atis runs with Revisions 10/86, 9/87, 1/88 or 6/88 of the KIP UDP software for the Kinetics FastPath gateway as done by Bill Croft of Stanford University. This is compatible with K-STAR 7.0 from Kinetics or later from Shiva and the gateway code 'Megan' for the Webster MultiPort Gateway.
atis must be run as "root" (uid 0).

AUTHOR
atis was written by Charlie C. Kim of Columbia University.

SEE ALSO
CAP(3), CAP(8), AUFS(1), AUFS(8), lwsrv(8), atprint(1), atlook(1)